Skip to main content
GET
/
open-api
/
v1.0
/
collections
/
{slug}
Get collection by slug
curl --request GET \
  --url https://api.fourthwall.com/open-api/v1.0/collections/{slug} \
  --header 'Authorization: Bearer <token>'
{
  "id": "col_b1EVARkUTcCTSfspQaXr1Q",
  "shopId": "sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb",
  "name": "My collection",
  "slug": "my-collection",
  "description": "My collection description",
  "available": true,
  "state": {
    "available": true,
    "type": "<string>"
  },
  "offerIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
OAuth scope: offer_readAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

slug
string
required

Response

OK

id
string
required
Example:

"col_b1EVARkUTcCTSfspQaXr1Q"

shopId
string
required
Example:

"sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb"

name
string
required
Example:

"My collection"

slug
string
required
Example:

"my-collection"

description
string
required
Example:

"My collection description"

available
boolean
required
state
Archived · object
required

Archived collection state

offerIds
string<uuid>[]
required